# Colophon

The Foliage documentation has been written by [Michael Hucka](https://www.cds.caltech.edu/~mhucka/) using the [Sphinx](https://www.sphinx-doc.org) document generator together with [MyST-flavored Markdown](https://myst-parser.readthedocs.io/en/latest/). The theme is the [Material theme for Sphinx](https://bashtage.github.io/sphinx-material/), with light customizations such as the use of Google's [Atkinson Hyperlegible](https://fonts.google.com/specimen/Atkinson+Hyperlegible) font. A [GitHub Action](https://github.com/caltechlibrary/foliage/blob/main/.github/workflows/build-sphinx.yml) takes care of creating the formatted version of the documentation and hosting it on GitHub.io at https://caltechlibrary.github.io/foliage. The formatted output can also be produced manually using commands implemented in the `Makefile` located in the [`docs/`](https://github.com/caltechlibrary/foliage/tree/main/docs) subdirectory of the Foliage source code repository.

The [vector artwork](https://thenounproject.com/term/branch/1047074/) used as a starting point for the logo and icon for Foliage was created by [Alice Noir](https://thenounproject.com/AliceNoir/) for the [Noun Project](https://thenounproject.com).  The artwork is licensed under the Creative Commons [Attribution 3.0 Unported](https://creativecommons.org/licenses/by/3.0/deed.en) license.  The vector graphics was modified by Michael Hucka to change the color.

Unless indicated otherwise, all other artwork in this documentation was created using [OmniGraffle Pro](https://www.omnigroup.com/omnigraffle) on a macOS computer. SVG versions of the diagrams were produced with the help of [svg-buddy](https://github.com/phauer/svg-buddy) to embed fonts into the SVG files and overcome a limitation of OmniGraffle's SVG output.
